> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Networks

> Create and manage Telnyx Programmable Networks — private virtual networks that connect your sites, clouds, SIMs, and gateways with software-defined routing.

A `network` instance is a prerequisite for the creation of all other elements.

Here is a sample request:

## Request sample

<Callout type="info">
  *Don't forget to update `YOUR_API_KEY` here.*
</Callout>

```json theme={null}
POST /v2/networks HTTP/1.1
Host: api.telnyx.com
Content-Type: application/json
Authorization: Bearer YOUR_API_KEY
Content-Length: 40

{
  "name": "my_first_virtual_network"
}
```

Here is a sample response:

```json theme={null}
{
    "data": {
        "created_at": "2024-07-17T15:19:10.640289Z",
        "id": "58b42010-de88-4d9b-a164-d0b8170100bc",
        "updated_at": "2024-07-17T15:19:10.640289Z",
        "name": "my_first_virtual_network",
        "record_type": "network"
    }
}
```

API reference is available [here](/api-reference/networks/create-a-network).
